PropertyTree (Java SE 14 & JDK 14)
Description: declaration: module: jdk.scripting.nashorn, package: jdk.nashorn.api.tree, interface: PropertyTree
Keywords: jdk.nashorn.api.tree.PropertyTree interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface PropertyTree

All Superinterfaces:
  `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface PropertyTree
    extends Tree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
To represent property setting in an object literal tree.

Since:
  9

- ## Nested Class Summary

  ## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `FunctionExpressionTree` | `getGetter()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the setter function of this property if this is an accessor property.
  `ExpressionTree` | `getKey()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the name of this property.
  `FunctionExpressionTree` | `getSetter()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the getter function of this property if this is an accessor property.
  `ExpressionTree` | `getValue()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the value of this property.
  `boolean` | `isComputed()` | Deprecated, for removal: This API element is subject to removal in a future version. Is this a computed property?
  `boolean` | `isStatic()` | Deprecated, for removal: This API element is subject to removal in a future version. Is this a class static property?

  ### Methods declared in interface jdk.nashorn.api.tree.Tree

  `accept, getEndPosition, getKind, getStartPosition`

- ## Method Details

  - ### getKey

    ExpressionTree getKey()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the name of this property.
    Returns:
      the name of the property

  - ### getValue

    ExpressionTree getValue()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the value of this property. This is null for accessor properties.
    Returns:
      the value of the property

  - ### getGetter

    FunctionExpressionTree getGetter()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the setter function of this property if this is an accessor property. This is null for data properties.
    Returns:
      the setter function of the property

  - ### getSetter

    FunctionExpressionTree getSetter()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the getter function of this property if this is an accessor property. This is null for data properties.
    Returns:
      the getter function of the property

  - ### isStatic

    boolean isStatic()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Is this a class static property?
    Returns:
      true if this is a static property

  - ### isComputed

    boolean isComputed()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Is this a computed property?
    Returns:
      true if this is a computed property